Дизайн, ПО для дизайна

Обсудим проблемы дизайна изделий

Подразделы

  1. 637
    сообщений
  2. 872
    сообщения
  3. 123
    сообщения
  4. 366
    сообщений
  5. 54
    сообщения

156 тем в этом разделе

    • 26 ответов
    • 7 869 просмотров
    • 14 ответов
    • 9 709 просмотров
    • 4 ответа
    • 2 946 просмотров
    • 2 ответа
    • 459 просмотров
    • 61 ответ
    • 58 292 просмотра
    • 6 ответов
    • 5 409 просмотров
    • 12 ответов
    • 4 753 просмотра
    • 49 ответов
    • 12 061 просмотр
    • 2 ответа
    • 2 236 просмотров
    • 7 ответов
    • 3 679 просмотров
    • 1 ответ
    • 1 659 просмотров
    • 113 ответа
    • 20 475 просмотров
    • 1 ответ
    • 1 608 просмотров
    • 18 ответов
    • 4 517 просмотров
    • 15 ответов
    • 3 959 просмотров
    • 1 ответ
    • 1 802 просмотра
    • 7 ответов
    • 2 696 просмотров
    • 7 ответов
    • 3 320 просмотров
    • 0 ответов
    • 2 105 просмотров
    • 19 ответов
    • 6 239 просмотров
    • 3 ответа
    • 3 758 просмотров
    • 4 ответа
    • 8 113 просмотра
    • 1 ответ
    • 1 748 просмотров
    • 0 ответов
    • 2 087 просмотров
    • 0 ответов
    • 1 789 просмотров
    • 3 ответа
    • 2 067 просмотров
    • 0 ответов
    • 1 969 просмотров
    • 4 ответа
    • 4 412 просмотра
    • 14 ответов
    • 3 592 просмотра
    • 2 ответа
    • 5 052 просмотра
    • 6 ответов
    • 4 199 просмотров
    • 68 ответов
    • 16 971 просмотр
    • 1 ответ
    • 296 просмотров
    • 18 ответов
    • 20 065 просмотров
    • 23 ответа
    • 4 956 просмотров
    • 17 ответов
    • 10 417 просмотров
    • 3 ответа
    • 2 427 просмотров
    • 45 ответов
    • 12 846 просмотров
    • 19 ответов
    • 8 094 просмотра
    • 4 ответа
    • 3 754 просмотра
    • 26 ответов
    • 1 763 просмотра
    • 16 ответов
    • 9 335 просмотров
    • 20 ответов
    • 6 740 просмотров
    • 7 ответов
    • 3 988 просмотров
    • 51 ответ
    • 14 177 просмотров
    • 26 ответов
    • 8 546 просмотров
    • 5 ответов
    • 900 просмотров
    • 49 ответов
    • 17 894 просмотра
    • 13 ответов
    • 4 376 просмотров
    • 9 ответов
    • 354 просмотра
  • Сейчас на странице   0 пользователей

    Нет пользователей, просматривающих эту страницу



  • Сообщения

    • lexincton
      1 человек ~1,5-3 недели работы с момента получения 3D модели станка = пост + верификатор Пост и верификатор сравнительно простые -  3-осевой токарно-фрезерный, с усложнением на разделение в 3 канала и реализацией точек синхронизации На видео отладочную инфу забыли убрать в виде mom_run_number = ... поэтому видео прервано перед ошибкой @Ug_user Как человеку прожженому должно быть известно, что в подобных примерах есть проблема в драйвере по управлению ЗвПО (по крайней мере в недавних версиях)-при перемещении ЗвПО в разные стороны
    • SHARit
      Дядя Лобзик, ты дурак?
    • ChipX
    • Mrt23
      Ну извините, уважаемый @lobzik, мы не избалованы...)
    • Brain (Pinkies friend)
      Доброго времени суток! Имею задачу найти на выделенных листах объекты типа NXOpen.Annotations.IdSymbol. Выделенные листы получаю через UI.GetUI().SelectionManager.GetSelectedTaggedObject(i), где они NXOpen.View. Для поиска объектов использую AskVisibleObjects(), который ругается на все неактивные листы (DrawingSheet). На просторах сети нашёл решение, использующее "костыль" в виде открывания  листа и поиска объектов в нём. Подскажите, пожалуйста как зная вид получить ссыль на конкретный лист, зная вид. Ну или другой путь решения. Собственно, код:
        private void button1_Click(object sender, EventArgs e) { int SelectedObjNum = UI.GetUI().SelectionManager.GetNumSelectedObjects(); for (int i = 0; i <= SelectedObjNum - 1; i++) { NXOpen.NXObject selectedObject = (NXOpen.NXObject)UI.GetUI().SelectionManager.GetSelectedTaggedObject(i);//UI.GetUI().SelectionManager.GetSelectedObject(0); NXOpen.View drawingView = (NXOpen.View)selectedObject; if (selectedObject != null) { DisplayableObject[] displayableObjects = drawingView.AskVisibleObjects(); foreach (DisplayableObject disobj in displayableObjects) { if (disobj.GetType().ToString() == "NXOpen.Annotations.IdSymbol") { listBox1.Items.Add("___"); NXOpen.Annotations.IdSymbol symObject = (NXOpen.Annotations.IdSymbol)disobj; AddSymInfOnList(symObject); } } } } }  
    • LxCoder
      Товарищ LxCoder ничего не утверждает и, уж тем более, не навязывает. Делайте как вашей душе угодно, и как Вам понятнее... Нравится изобретать велосипед заново - дело Ваше. Есть косой десяток способов сделать одно и то же.   Именно. Я половины не понял, что вы понаписали и для чего вам все эти фельдиперсовые функции. Углы можно рассчитать один из другого - абсолютно любые, если понимать, что хочется получить на выходе. В G-Post математический аппарат с большим количеством параметров, настроек - он вполне достаточен (по моему личному мнению) для успешного решения 99% реальных задач. Для 1% скорее всего придется использовать некоторые свои формулы преобразования (например, для станков с не вполне обычной геометрией расположения осей, например, как в DMU 160, где угловая голова расположена под 45 градусов к оси Z...).
    • Sergei
    • lexx174
      да давно,в авиапроме в этом плане неплохо продвинулись,и в плане стандартов тоже
    • lobzik
      Если Вам заработанного на этих операциях хватает на жизнь, и Вы еще можете, к примеру, делать какие то накопления - то это не демпинг. 
    • lobzik
      Лет 20 назад один мой коллега рассказывал, как он ходил на хоккей Германия -СССР. После 17-й шайбы в ворота Германии он встал и ушел..
      Я вот потерял его координаты, чтобы позвонить и сказать, что они таки научились играть.  Кстати, не пойму , откуда столько радости от победы над командами, которые траву то зеленую первый раз увидели в России?
      Все равно что хоккеистам радоваться по поводу победы над сборной Туниса.